function motd --description "Message of the day!"
    set --local daily_msg

    if contains -- '--chuck-norris' $argv
        set daily_msg (curl -s 'https://api.chucknorris.io/jokes/random' | jq --raw-output '.value')
    else
        set daily_msg (fortune -a)
    end

    cowsay $daily_msg
end
