#!/bin/bash

# Check if Homebrew is already installed
if [ -x "$(command -v brew)" ]; then
	echo "Homebrew is already installed."
	exit 0
fi

# Install Homebrew
case "$(uname -s)" in
	Darwin|Linux)
		/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install.sh)"
		;;
	*)
		echo "Unsupported kernel: $(uname -s)"
		;;
esac
