function jvm --argument-names jvm_version
    # Only works on Mac
    if test (uname -s) != Darwin
        echo "Unsupported kernel: "(uname -s)
        return 1
    end

    if test -z "$jvm_version"
        echo "Usage: jvm <java_version>"
        #echo
        #/usr/libexec/java_home --verbose
        return 2
    end

    set --local jvm_homedir (/usr/libexec/java_home --version $jvm_version)

    if test $status -eq 0
        echo "Setting JAVA_HOME to $jvm_homedir"
        set -gx JAVA_HOME $jvm_homedir
    end
end
