function npm_upgrade --description "Upgrade npm packages"
    set --local npm_pkgs_outdated (npm outdated -g --depth=0)

    if test (count $py_pkgs_outdated) = 0
        echo "All packages up-to-date."
    else
        echo "Outdated packages: $npm_pkgs_outdated"
        if confirm
            npm update -g
        end
    end
end
